[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

kernel 2.5.68 and egcs64

Hi all,
	from this kernel version init/main.c implements a check about gcc
version used to compile the kernel (line 63) and it fails with egcs64
shipped with Debian.

The only workaround I found on the fly and with basically no investigation
was to purge egcs64 and create a symlink in /usr/bin for sparc64-linux-gcc
to gcc-3.3 (gcc-3.2 will fail because of an unrecognized options).

Im not sure if this is the proper fix so I would like someone more expert
to take a look to it before reporting bugs to any package (if it is a

But if my feelings are correct probably gcc-3.3 should replace egcs64 and
provide sparc64-linux-gcc.


Our mission: make IPv6 the default IP protocol
"We are on a mission from God" - Elwood Blues


Reply to: